Package org.gradle.api.artifacts

## Interface ModuleDependencyCapabilitiesHandler

-     public interface ModuleDependencyCapabilitiesHandler

  The capabilities requested for a dependency. This is used in variant-aware dependency management, to select only variants which provide the requested capabilities. By default, Gradle will only look for variants which provide the "implicit" capability, which corresponds to the GAV coordinates of the component. If the user calls methods on this handler, then the requirements change and explicit capabilities are required.
  Since:
    5.3

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `requireCapabilities​(Object... capabilityNotations)` | Requires multiple capabilities.
    `void` | `requireCapability​(Object capabilityNotation)` | Requires a single capability.

- - ### Method Detail

    - #### requireCapability

          void requireCapability​(Object capabilityNotation)

      Requires a single capability.
      Parameters:
        `capabilityNotation` - the capability notation (eg. group:name:version)

    - #### requireCapabilities

          void requireCapabilities​(Object... capabilityNotations)

      Requires multiple capabilities. The selected variants MUST provide ALL of them to be selected.
      Parameters:
        `capabilityNotations` - the capability notations (eg. group:name:version)